blockdev
3
HAL Library

# blockdev

## Synopsis

    void        hotplug_event_begin_add_blockdev
                                                (const gchar *sysfs_path,
                                                 const char *device_file,
                                                 gboolean is_partition,
                                                 HalDevice *parent,
                                                 void *end_token);
    void        hotplug_event_begin_remove_blockdev
                                                (const gchar *sysfs_path,
                                                 gboolean is_partition,
                                                 void *end_token);
    gboolean    blockdev_rescan_device          (HalDevice *d);
    HotplugEvent* blockdev_generate_add_hotplug_event
                                                (HalDevice *d);
    HotplugEvent* blockdev_generate_remove_hotplug_event
                                                (HalDevice *d);
    void        blockdev_refresh_mount_state    (HalDevice *d);

## Description

## Details

### hotplug_event_begin_add_blockdev ()

    void        hotplug_event_begin_add_blockdev
                                                (const gchar *sysfs_path,
                                                 const char *device_file,
                                                 gboolean is_partition,
                                                 HalDevice *parent,
                                                 void *end_token);

`sysfs_path` :

`device_file` :

`is_partition` :

`parent` :

`end_token` :

### hotplug_event_begin_remove_blockdev ()

    void        hotplug_event_begin_remove_blockdev
                                                (const gchar *sysfs_path,
                                                 gboolean is_partition,
                                                 void *end_token);

`sysfs_path` :

`is_partition` :

`end_token` :

### blockdev_rescan_device ()

    gboolean    blockdev_rescan_device          (HalDevice *d);

`d` :

Returns :

### blockdev_generate_add_hotplug_event ()

    HotplugEvent* blockdev_generate_add_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### blockdev_generate_remove_hotplug_event ()

    HotplugEvent* blockdev_generate_remove_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### blockdev_refresh_mount_state ()

    void        blockdev_refresh_mount_state    (HalDevice *d);

`d` :